Please login or register. December 12, 2019, 02:13:16 PM

Author Topic: aix cannot load instsecattr  (Read 9846 times)

0 Members and 1 Guest are viewing this topic.

rein8

  • New Member
  • *
  • Posts: 2
  • Karma: +0/-0
aix cannot load instsecattr
« on: August 21, 2008, 05:47:24 PM »
I'm trying to update my AIX OpenBeta with fixpacks from AIX 6.1 and get the following error:

aix cannot load instsecattr
symbol resolution failed symbol __pthread (number 138) is not exported from dependent module libpthreads.a(shr_xpg5.o)

The command is used for storing hash data in a security database, which I don't really care about because it's a home development and learning machine.

Is there a way to get around this?


Michael

  • Administrator
  • Hero Member
  • *****
  • Posts: 1188
  • Karma: +0/-0
Re: aix cannot load instsecattr
« Reply #1 on: August 23, 2008, 09:28:54 PM »
It is certainly not a 'supported' path, or something I would do myself. However, they only way around this might be to 'cheat' and find which fileset to required library is in, and restore that manually (the installp files are 'backup file format, or bff)  and the try to use smitty update_all.

Chances are it will make things worse before it makes them better - so be forewarned.